/*
 * The program send/receive long message for Echo deamon using TCP protocol.
 */

import java.io.*;
import java.net.*;

public class EchoClient2 {
	public static void main(String[] args) throws IOException {

	String serverName = "localhost";
	int serverPort = 7;
	int c;

	InetAddress address = InetAddress.getByName(serverName);
	Socket sSocket = new Socket(address, serverPort);
	OutputStream sending = sSocket.getOutputStream();
	InputStream receiving = sSocket.getInputStream();

	do {
		System.out.println("\nReading data from keyboard");
		do {
			c = System.in.read();
			sending.write(c);
		} while (c != 1 && c != 2);
		sending.flush();

		System.out.println("Receiving data");
		do {
			c = receiving.read();
			System.out.print((char)c);
		} while (c != 1 && c != 2 && c != -1);
		System.out.flush();
	} while (c != 2 && c != -1);

	sending.close();
	receiving.close();
	sSocket.close();
	}
}
